SparrowDesk
Collections

Retrieve a collection

Returns the collection details along with its direct sub-collections and articles.

GET
/collections/{id}
AuthorizationBearer <token>

In: header

Path Parameters

idinteger

Collection id

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/collections/0"
{
  "data": {
    "id": 1201,
    "name": "Getting started",
    "description": "string",
    "icon": "string",
    "slug": "string",
    "help_center_id": 994,
    "brand_id": 1,
    "parent_collection_id": 0,
    "created_at": 0,
    "updated_at": 0,
    "sub_collections": [
      {
        "id": 1202,
        "name": "Billing",
        "description": "string",
        "icon": "string",
        "slug": "string",
        "level": 1,
        "help_center_id": 994,
        "brand_id": 1,
        "parent_collection_id": 1201,
        "root_collection_id": 1201,
        "position": "a0",
        "subcollections_count": 0,
        "articles_count": 3,
        "published_articles_count": 2,
        "is_last_level_sub_collection": true,
        "created_at": 0,
        "updated_at": 0
      }
    ],
    "articles": [
      {
        "id": 1001,
        "title": "Getting started",
        "slug": "string",
        "help_center_id": 0,
        "brand_id": 0,
        "position": "string",
        "created_by": {
          "id": 0,
          "name": "string",
          "email": "string"
        },
        "created_at": 0,
        "updated_at": 0
      }
    ]
  }
}
{
  "error": {
    "message": "Missing required scope or feature is not enabled"
  }
}
{
  "error": {
    "message": "Collection not found."
  }
}
{
  "error": {
    "message": "Invalid collection id"
  }
}
{
  "error": {
    "message": "An error occurred while retrieving the collection"
  }
}